#include <reg52.h>   //包含52系列单片机头文件
unsigned char a;    //变量a声明
sbit lcden=P3^4;   //位定义
void main()
{
	lcden=0;    //把单片机P3.4脚设为0，相当于接地，目的是配合开发板上的S14 按键，
		  		//当S14按键按下时，相当于把外部中断0接地（可查看原理图）
	EA=1;       //开总中断
	EX0=1;      //开外部中断0中断允许控制位EX0
	IT0=0;     //把IT0设为低电低触发
	a=0xf0;    //向a赋一个初值
	while(1)
	{
		P1=a;   //让P1等于a
	}
}

void ext0() interrupt 0  //中断服务程序，其中“0”是外部中断0入口序号
{
	a=0x0f;   //在中断服务程序中把a的值改为0x0f
}